Async Endpoints
Search
GET
/
v1
/
search
Search
curl --request GET \
--url https://query.emergedata.ai/v1/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'import requests
url = "https://query.emergedata.ai/v1/search"
payload = ["<string>"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://query.emergedata.ai/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "82f80278-5e76-4d01-8f1d-b55e08f12a52",
"status": "RUNNING"
}{
"detail": "Invalid token"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API token from the Control Room. Include as Authorization: Bearer <token>
Query Parameters
Filter by event timestamp (start)
Filter by event timestamp (end)
User IDs to filter by (max 25)
Maximum array length:
25Category subtree to filter by
Filter by ingestion timestamp (start)
Filter by ingestion timestamp (end)
Body
application/json
Maximum array length:
25⌘I
Search
